GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Friends
grpc::Credentials Class Referenceabstract

`#include <credentials.h>`

## Public Member Functions
| ~Credentials () GRPC_OVERRIDE
virtual bool | ApplyToCall (grpc_call *call)=0
Public Member Functions inherited from grpc::GrpcLibrary
| GrpcLibrary ()
virtual | ~GrpcLibrary ()

## Protected Member Functions
virtual SecureCredentials * | AsSecureCredentials ()=0

## Friends
std::shared_ptr< Credentials > | CompositeCredentials (const std::shared_ptr< Credentials > &creds1, const std::shared_ptr< Credentials > &creds2)
std::shared_ptr< ChannelInterface > | CreateChannel (const grpc::string &target, const std::shared_ptr< Credentials > &creds, const ChannelArguments &args)

## Constructor & Destructor Documentation

grpc::Credentials::~Credentials | ( |  | ) |

## Member Function Documentation

virtual bool grpc::Credentials::ApplyToCall | ( | grpc_call * | call | ) |
| pure virtual

virtual SecureCredentials* grpc::Credentials::AsSecureCredentials | ( |  | ) |
| protected pure virtual

## Friends And Related Function Documentation

std::shared_ptr<Credentials> CompositeCredentials | ( | const std::shared_ptr< Credentials > & | creds1,
|  | const std::shared_ptr< Credentials > & | creds2
| ) |  |
| friend

std::shared_ptr<ChannelInterface> CreateChannel | ( | const grpc::string & | target,
|  | const std::shared_ptr< Credentials > & | creds,
|  | const ChannelArguments & | args
| ) |  |
| friend

The documentation for this class was generated from the following file:

- include/grpc++/credentials.h